%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program initialize the UI control component
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function initialize_ui_control(handles)

global doc;

t_star = doc.time;
aigram = doc.aigram;

cur_snrs = doc.snrs;
cur_snr = doc.snr;
cur_ntype = doc.ntype; % white or speech shaped


set(handles.slideSNR,'min', cur_snrs(1));
set(handles.slideSNR,'max', cur_snrs(end));
set(handles.slideSNR,'value', cur_snr);
set(handles.slideSNR,'sliderstep',[.1 .1]);
set(handles.editSNR,'string',num2str(round(get(handles.slideSNR,'value'))));

set(handles.slideTime,'min', aigram.time_axis(1));
set(handles.slideTime,'max', aigram.time_axis(end));
set(handles.slideTime,'value', t_star);
set(handles.slideTime,'sliderstep',[.002 .1]);
set(handles.editTime,'string',num2str(round(t_star*10000)/100));

set(handles.editNtype,'string',cur_ntype);


