%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program update the status of the checkboxes of setregs
% Input: handles -- the handle to the window
%        regs -- doc.mod1.regs/doc.mod2.regs, which contain the 
%        information of the patches and gains
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-22
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function update_setregs(handles, regs)

nregs = length(regs);
    
isexist_regs = zeros(8,1); % 0 means nonexist
isexist_regs(1:nregs) = 1; % 1 means exist

set(handles.checkbox1, 'Value', 0);
set(handles.checkbox2, 'Value', 0);
set(handles.checkbox3, 'Value', 0);
set(handles.checkbox4, 'Value', 0);
set(handles.checkbox5, 'Value', 0);
set(handles.checkbox6, 'Value', 0);
set(handles.checkbox7, 'Value', 0);
set(handles.checkbox8, 'Value', 0);

if isexist_regs(1)
    set(handles.checkbox1, 'Enable', 'on');
    set(handles.edit1, 'Enable', 'on');
    set(handles.edit1, 'Value', regs{1}.gain);
    set(handles.edit1, 'String', num2str(regs{1}.gain));
else
    set(handles.checkbox1, 'Enable', 'off');
    set(handles.edit1, 'Enable', 'off');
end
set(handles.checkbox1, 'Value', 0); % 1 means chosen for delete

if isexist_regs(2)
    set(handles.checkbox2, 'Enable', 'on');
    set(handles.edit2, 'Enable', 'on');
    set(handles.edit2, 'Value', regs{2}.gain);
    set(handles.edit2, 'String', num2str(regs{2}.gain));    
else
    set(handles.checkbox2, 'Enable', 'off');
    set(handles.edit2, 'Enable', 'off');    
end
set(handles.checkbox2, 'Value', 0); % 1 means chosen for delete

if isexist_regs(3)
    set(handles.checkbox3, 'Enable', 'on');
    set(handles.edit3, 'Enable', 'on');
    set(handles.edit3, 'Value', regs{3}.gain);
    set(handles.edit3, 'String', num2str(regs{3}.gain));    
else
    set(handles.checkbox3, 'Enable', 'off');
    set(handles.edit3, 'Enable', 'off');        
end
set(handles.checkbox3, 'Value', 0); % 1 means chosen for delete

if isexist_regs(4)
    set(handles.checkbox4, 'Enable', 'on');
    set(handles.edit4, 'Enable', 'on');
    set(handles.edit4, 'Value', regs{4}.gain);
    set(handles.edit4, 'String', num2str(regs{4}.gain));    
else
    set(handles.checkbox4, 'Enable', 'off');
    set(handles.edit4, 'Enable', 'off');        
end
set(handles.checkbox4, 'Value', 0); % 1 means chosen for delete

if isexist_regs(5)
    set(handles.checkbox5, 'Enable', 'on');
    set(handles.edit5, 'Enable', 'on');
    set(handles.edit5, 'Value', regs{5}.gain);
    set(handles.edit5, 'String', num2str(regs{5}.gain));    
else
    set(handles.checkbox5, 'Enable', 'off');
    set(handles.edit5, 'Enable', 'off');    
end
set(handles.checkbox5, 'Value', 0); % 1 means chosen for delete

if isexist_regs(6)
    set(handles.checkbox6, 'Enable', 'on');
    set(handles.edit6, 'Enable', 'on');
    set(handles.edit6, 'Value', regs{6}.gain);
    set(handles.edit6, 'String', num2str(regs{6}.gain));    
else
    set(handles.checkbox6, 'Enable', 'off');
    set(handles.edit6, 'Enable', 'off');    
end
set(handles.checkbox6, 'Value', 0); % 1 means chosen for delete

if isexist_regs(7)
    set(handles.checkbox7, 'Enable', 'on');
    set(handles.edit7, 'Enable', 'on');
    set(handles.edit7, 'Value', regs{7}.gain);
    set(handles.edit7, 'String', num2str(regs{7}.gain));    
else
    set(handles.checkbox7, 'Enable', 'off');
    set(handles.edit7, 'Enable', 'off');    
end
set(handles.checkbox7, 'Value', 0); % 1 means chosen for delete

if isexist_regs(8)
    set(handles.checkbox8, 'Enable', 'on');
    set(handles.edit8, 'Enable', 'on');
    set(handles.edit8, 'Value', regs{8}.gain);
    set(handles.edit8, 'String', num2str(regs{8}.gain));    
else
    set(handles.checkbox8, 'Enable', 'off');
    set(handles.edit8, 'Enable', 'off');    
end
set(handles.checkbox8, 'Value', 0); % 1 means chosen for delete

